C To convert from three to four index notation
C  for the hexagonal system
C
C JR=0 if vector is in real space, JR=1 if in reciprocal space.
C
C Reference:
C  Chapter on Crystallography, by H. K. D. H. Bhadeshia, 
C   in "Microstructural Characterisation" edited by E. Metcalfe,
C   Institute of Metals, London, 1988, Appendix 2, page 30.
C

      SUBROUTINE MAP_CRYSTAL_NOTAT2(U,V,W,JR2,U1,U2,U3,U4)
      IMPLICIT NONE
      REAL U,V,W,U1,U2,U3,U4
      INTEGER JR2
C
C
      IF(JR2 .EQ. 1)GOTO 10
        U1=(2.0*U-V)/3.0
        U2=(2.0*V-U)/3.0
        U3=W
        U4=-1.0*(U+V)/3.0
      GOTO 20
10      U1=U
        U2=V
        U3=W
        U4=-1.0*(U+V)
C
20      RETURN       
        END
